package com.yanzhu.jh.project.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 材料封样对象 sur_project_material_seal
 * 
 * @author JiangYuQi
 * @date 2023-08-22
 */
public class SurProjectMaterialSeal extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 项目主键 */
    @Excel(name = "项目主键")
    private Long projectId;

    /** 部门主键 */
    @Excel(name = "部门主键")
    private Long deptId;

    /** 封样主图 */
    @Excel(name = "封样主图")
    private String mainImage;

    /** 图片集合 */
    @Excel(name = "图片集合")
    private String imageUrls;

    /** 封样名称 */
    @Excel(name = "封样名称")
    private String materialName;

    /** 使用部位 */
    @Excel(name = "使用部位")
    private String usePosition;

    /** 指定品牌 */
    @Excel(name = "指定品牌")
    private String contractBrand;

    /** 拟用品牌 */
    @Excel(name = "拟用品牌")
    private String useBrand;

    /** 封样时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "封样时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date sealDate;

    /** 会签单 */
    @Excel(name = "会签单")
    private String signFiles;

    /** 变更单 */
    @Excel(name = "变更单")
    private String alterationFiles;

    /** 数据状态 */
    @Excel(name = "数据状态")
    private String isDel;

    private String projectName;
    private String deptName;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setProjectId(Long projectId) 
    {
        this.projectId = projectId;
    }

    public Long getProjectId() 
    {
        return projectId;
    }
    public void setDeptId(Long deptId) 
    {
        this.deptId = deptId;
    }

    public Long getDeptId() 
    {
        return deptId;
    }
    public void setMainImage(String mainImage) 
    {
        this.mainImage = mainImage;
    }

    public String getMainImage() 
    {
        return mainImage;
    }
    public void setImageUrls(String imageUrls) 
    {
        this.imageUrls = imageUrls;
    }

    public String getImageUrls() 
    {
        return imageUrls;
    }
    public void setMaterialName(String materialName) 
    {
        this.materialName = materialName;
    }

    public String getMaterialName() 
    {
        return materialName;
    }
    public void setUsePosition(String usePosition) 
    {
        this.usePosition = usePosition;
    }

    public String getUsePosition() 
    {
        return usePosition;
    }
    public void setContractBrand(String contractBrand) 
    {
        this.contractBrand = contractBrand;
    }

    public String getContractBrand() 
    {
        return contractBrand;
    }
    public void setUseBrand(String useBrand) 
    {
        this.useBrand = useBrand;
    }

    public String getUseBrand() 
    {
        return useBrand;
    }
    public void setSealDate(Date sealDate) 
    {
        this.sealDate = sealDate;
    }

    public Date getSealDate() 
    {
        return sealDate;
    }
    public void setSignFiles(String signFiles) 
    {
        this.signFiles = signFiles;
    }

    public String getSignFiles() 
    {
        return signFiles;
    }
    public void setAlterationFiles(String alterationFiles) 
    {
        this.alterationFiles = alterationFiles;
    }

    public String getAlterationFiles() 
    {
        return alterationFiles;
    }
    public void setIsDel(String isDel) 
    {
        this.isDel = isDel;
    }

    public String getIsDel() 
    {
        return isDel;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("projectId", getProjectId())
            .append("deptId", getDeptId())
            .append("mainImage", getMainImage())
            .append("imageUrls", getImageUrls())
            .append("materialName", getMaterialName())
            .append("usePosition", getUsePosition())
            .append("contractBrand", getContractBrand())
            .append("useBrand", getUseBrand())
            .append("sealDate", getSealDate())
            .append("signFiles", getSignFiles())
            .append("alterationFiles", getAlterationFiles())
            .append("isDel", getIsDel())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
